# *********** Building external libraries **********
echo "Building external libraries"
cd external
./build.sh $1
cd ..

if [ $1 == "clean" ]
then
    echo "Cleaning TC/TM library"
    rm -rf docs
    make clean

else
    echo "Building TC/TM library"
    make clean
    make all
fi